from matplotlib.pyplot import plot, show, grid, axhline, axvline
from numpy import linspace

x = linspace(-10, 10, 100)
y = x**2

plot(x,y)
grid()

# partie de la courbe telle que x*x > 25

x1 = linspace(-10, -5, 100)
y1 = x1**2
x2 = linspace(5, 10, 100)
y2 = x2**2
plot(x1,y1,color='red')
plot(x2,y2,color='red')

# fin de la représentation de la partie de la courbe

axhline(y=0, color='black', linestyle='-')
axvline(x=0, color='black', linestyle='-')
show()
